/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomCanvasGradient_H__
#define __GdomCanvasGradient_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomCanvasGradient GdomCanvasGradient;
typedef struct _GdomCanvasGradientClass GdomCanvasGradientClass;


#define GDOM_TYPE_CANVAS_GRADIENT            (gdom_canvas_gradient_get_type())
#define GDOM_CANVAS_GRADIENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_CANVAS_GRADIENT, GdomCanvasGradient))
#define GDOM_CANVAS_GRADIENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_CANVAS_GRADIENT, GdomCanvasGradient)Class)
#define GDOM_IS_CANVAS_GRADIENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_CANVAS_GRADIENT))
#define GDOM_IS_CANVAS_GRADIENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_CANVAS_GRADIENT))
#define GDOM_CANVAS_GRADIENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_CANVAS_GRADIENT, GdomCanvasGradientClass))

typedef struct _GdomCanvasGradientPrivate GdomCanvasGradientPrivate;

struct _GdomCanvasGradient {
    GdomDOMObject parent_instance;
    GdomCanvasGradientPrivate *priv;
};

struct _GdomCanvasGradientClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_canvas_gradient_get_type (void);

WEBKIT_API void
gdom_canvas_gradient_add_color_stop (GdomCanvasGradient *thiz, gfloat offset, gchar * color);

G_END_DECLS

#endif /* __GdomCanvasGradient_H__ */
